Mandrake Linux Security Advisory : openssh (MDKSA-2006:204)

High Nessus Plugin ID 24589


The remote Mandrake Linux host is missing one or more security updates.


A vulnerability in the privilege separation functionality in OpenSSH was discovered, caused by an incorrect checking for bad signatures in sshd's privsep monitor. As a result, the monitor and the unprivileged process can get out sync. The OpenSSH team indicated that this bug is not known to be exploitable in the abence of additional vulnerabilities.

Updated packages have been patched to correct this issue, and Mandriva Linux 2007 has received the latest version of OpenSSH.


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 24589

File Name: mandrake_MDKSA-2006-204.nasl

Version: $Revision: 1.14 $

Type: local

Published: 2007/02/18

Modified: 2015/03/19

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:openssh, p-cpe:/a:mandriva:linux:openssh-askpass, p-cpe:/a:mandriva:linux:openssh-askpass-common, p-cpe:/a:mandriva:linux:openssh-askpass-gnome, p-cpe:/a:mandriva:linux:openssh-clients, p-cpe:/a:mandriva:linux:openssh-server, cpe:/o:mandriva:linux:2006, cpe:/o:mandriva:linux:2007

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2006/11/08

Reference Information

CVE: CVE-2006-5794

BID: 20956

MDKSA: 2006:204